# Developer image with no QM partition, just developer and debug tools installed

name: developer

content:
  rpms:
    - "@Development Tools"
    # Some convenience packages
    - bash-completion
    - chrony
    - audit
    - dnf
    - emacs-nox
    - less
    - strace
    - sudo
    - vim
    - git
    - wget
    - make
    # Dependencies to build RPMs and images
    - rpm-build
    - hostname
    - openssl-devel
    - bc
    - binutils-devel
    - bpftool
    - clang
    - dwarves
    - gcc-plugin-devel
    - gperf
    - kmod-devel
    - libcap-devel
    - libcap-ng-devel
    - libmnl-devel
    - llvm
    - meson
    - net-tools
    - numactl-devel
    - openssh-clients
    - openssh-server
    - perl-devel
    - python3-devel
    - python3-docutils
    - python3-jinja2
    - rsync
    - iputils
    - iproute
    - qemu-kvm
    - fuse-devel
    - kernel-rpm-macros
    # Dependencies to build ostree binaries
    - glib2-devel
    - e2fsprogs-devel
    - gpgme-devel
    # Container tools
    - podman
    - buildah
    - skopeo
    # bpf tools
    - bcc
    - bcc-tools
    # debugging tools
    - sos
  systemd:
    enabled_services:
      - sshd.service

auth:
  root_password: "$6$xoLqEUz0cGGJRx01$H3H/bFm0myJPULNMtbSsOFd/2BnHqHkMD92Sfxd.EKM9hXTWSmELG8cf205l6dktomuTcgKGGtGDgtvHVXSWU."
  # QE key for local testing
  root_ssh_keys:
    - "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILKx5O9oCqfSyOZQP/VNMIlK4o/ru0TxJmFwpD3Bc43B auto-qe"
  # Make it usable manually as well
  sshd_config:
    PasswordAuthentication: true
    PermitRootLogin: true
